aboutsummaryrefslogtreecommitdiff
path: root/graphics
diff options
context:
space:
mode:
authorMathieu Arnold <mat@FreeBSD.org>2019-08-13 16:03:11 +0000
committerMathieu Arnold <mat@FreeBSD.org>2019-08-13 16:03:11 +0000
commit79698c84577df2797724d484418f1de7f67bf07f (patch)
treefa993eea8870e6aef79666a19d170137054831ba /graphics
parent1e9db8ea3e482636b52f2452827dab557908f533 (diff)
downloadports-79698c84577df2797724d484418f1de7f67bf07f.tar.gz
ports-79698c84577df2797724d484418f1de7f67bf07f.zip
Convert to UCL & cleanup pkg-message (categories e-g)
Notes
Notes: svn path=/head/; revision=508837
Diffstat (limited to 'graphics')
-rw-r--r--graphics/aoi/files/pkg-message.in10
-rw-r--r--graphics/aseprite/pkg-message8
-rw-r--r--graphics/blender-doc/files/pkg-message.in10
-rw-r--r--graphics/deegree-csw/files/pkg-message.in8
-rw-r--r--graphics/deegree-igeoportal/files/pkg-message.in8
-rw-r--r--graphics/deegree-wcs/files/pkg-message.in8
-rw-r--r--graphics/deegree-wfs/files/pkg-message.in8
-rw-r--r--graphics/deegree-wms/files/pkg-message.in8
-rw-r--r--graphics/deegree-wps/files/pkg-message.in8
-rw-r--r--graphics/deegree-wpvs/files/pkg-message.in8
-rw-r--r--graphics/drm-current-kmod/pkg-message6
-rw-r--r--graphics/drm-devel-kmod/pkg-message6
-rw-r--r--graphics/drm-fbsd11.2-kmod/pkg-message6
-rw-r--r--graphics/drm-fbsd12.0-kmod/pkg-message6
-rw-r--r--graphics/drm-legacy-kmod/pkg-message6
-rw-r--r--graphics/entangle/pkg-message6
-rw-r--r--graphics/freeglut/pkg-message6
-rw-r--r--graphics/geoserver/files/pkg-message.in9
-rw-r--r--graphics/giftool/pkg-message18
-rw-r--r--graphics/gimp-lqr-plugin/pkg-message6
-rw-r--r--graphics/gimp-resynthesizer/pkg-message6
-rw-r--r--graphics/gimp/pkg-message6
-rw-r--r--graphics/gracula/files/pkg-message.in8
-rw-r--r--graphics/instant-meshes/pkg-message8
-rw-r--r--graphics/inventor/files/pkg-message.in12
-rw-r--r--graphics/jave6/files/pkg-message.in10
-rw-r--r--graphics/kix-kmod/files/pkg-message.in8
-rw-r--r--graphics/leptonica/pkg-message6
-rw-r--r--graphics/liblqr-1/files/pkg-message.in8
-rw-r--r--graphics/linux-c7-dri/pkg-message6
-rw-r--r--graphics/mapyrus/files/pkg-message.in10
-rw-r--r--graphics/opendx/files/pkg-message.in9
-rw-r--r--graphics/piglit/files/pkg-message.in6
-rw-r--r--graphics/py-gvgen/pkg-message8
-rw-r--r--graphics/qtawesome/pkg-message6
-rw-r--r--graphics/rawtherapee/pkg-message8
-rw-r--r--graphics/sane-backends/files/pkg-message.in10
-rw-r--r--graphics/sane-frontends/files/pkg-message.in6
-rw-r--r--graphics/separate/pkg-message6
-rw-r--r--graphics/simpleviewer/files/pkg-message.in6
-rw-r--r--graphics/telak/pkg-message8
-rw-r--r--graphics/xoris/files/pkg-message.in8
-rw-r--r--graphics/xpdf3/pkg-message6
-rw-r--r--graphics/xpdf4/pkg-message6
-rw-r--r--graphics/xsane/files/pkg-message.in6
-rw-r--r--graphics/zathura/pkg-message10
-rw-r--r--graphics/zphoto/pkg-message8
47 files changed, 287 insertions, 77 deletions
diff --git a/graphics/aoi/files/pkg-message.in b/graphics/aoi/files/pkg-message.in
index f0941cc4e3b7..f7c41e5efb9e 100644
--- a/graphics/aoi/files/pkg-message.in
+++ b/graphics/aoi/files/pkg-message.in
@@ -1,5 +1,6 @@
-===============================================================================
-
+[
+{ type: install
+ message: <<EOM
Art of Illusion has been installed.
This package does not include all Plugins and Scripts.
@@ -17,5 +18,6 @@ and other Sites and put it in:
%%DATADIR%%/Plugins
%%DATADIR%%/Scripts/...
-
-===============================================================================
+EOM
+}
+]
diff --git a/graphics/aseprite/pkg-message b/graphics/aseprite/pkg-message
index f3e1bc6fcd6c..98b8acbcd09d 100644
--- a/graphics/aseprite/pkg-message
+++ b/graphics/aseprite/pkg-message
@@ -1,7 +1,11 @@
-======================================================================
+[
+{ type: install
+ message: <<EOM
Some users have reported mouse lag problem with aseprite.
Please add the argument -F 250 or -F 500 for moused(8) to work around
such problems. These options can be added in the variable
moused_flags in /etc/rc.conf
-======================================================================
+EOM
+}
+]
diff --git a/graphics/blender-doc/files/pkg-message.in b/graphics/blender-doc/files/pkg-message.in
index 2e8b6fab1ed4..a7253b3b9c27 100644
--- a/graphics/blender-doc/files/pkg-message.in
+++ b/graphics/blender-doc/files/pkg-message.in
@@ -1,6 +1,8 @@
-###########################################################
-
+[
+{ type: install
+ message: <<EOM
You can start browsing documentation here:
%%DOCSDIR%%/htmlI/index.html
-
-###########################################################
+EOM
+}
+]
diff --git a/graphics/deegree-csw/files/pkg-message.in b/graphics/deegree-csw/files/pkg-message.in
index 86538ba4a3c9..39209b7ee5d2 100644
--- a/graphics/deegree-csw/files/pkg-message.in
+++ b/graphics/deegree-csw/files/pkg-message.in
@@ -1,4 +1,6 @@
-==========================================================================
+[
+{ type: install
+ message: <<EOM
To start DeeGree correctly, please set the variable JAVA_OPTS with:
setenv JAVA_OPTS "-server -Xms256m -Xmx512m"
@@ -7,4 +9,6 @@ Now you should start your Tomcat server and browse with:
http://your-server:%%TCPORT%%/deegree-csw
Enjoy it !
-==========================================================================
+EOM
+}
+]
diff --git a/graphics/deegree-igeoportal/files/pkg-message.in b/graphics/deegree-igeoportal/files/pkg-message.in
index c2555f83df04..25e140b4374c 100644
--- a/graphics/deegree-igeoportal/files/pkg-message.in
+++ b/graphics/deegree-igeoportal/files/pkg-message.in
@@ -1,4 +1,6 @@
-==========================================================================
+[
+{ type: install
+ message: <<EOM
To start DeeGree correctly, please set the variable JAVA_OPTS with:
setenv JAVA_OPTS "-server -Xms256m -Xmx512m"
@@ -7,4 +9,6 @@ Now you should start your Tomcat server and browse with:
http://your-server:%%TCPORT%%/deegree-igeoportal
Enjoy it !
-==========================================================================
+EOM
+}
+]
diff --git a/graphics/deegree-wcs/files/pkg-message.in b/graphics/deegree-wcs/files/pkg-message.in
index 45764bcf9961..78bc72f7846b 100644
--- a/graphics/deegree-wcs/files/pkg-message.in
+++ b/graphics/deegree-wcs/files/pkg-message.in
@@ -1,4 +1,6 @@
-==========================================================================
+[
+{ type: install
+ message: <<EOM
To start DeeGree correctly, please set the variable JAVA_OPTS with:
setenv JAVA_OPTS "-server -Xms256m -Xmx512m"
@@ -7,4 +9,6 @@ Now you should start your Tomcat server and browse with:
http://your-server:%%TCPORT%%/deegree-wcs
Enjoy it !
-==========================================================================
+EOM
+}
+]
diff --git a/graphics/deegree-wfs/files/pkg-message.in b/graphics/deegree-wfs/files/pkg-message.in
index e322d5843ff5..ac73362eb651 100644
--- a/graphics/deegree-wfs/files/pkg-message.in
+++ b/graphics/deegree-wfs/files/pkg-message.in
@@ -1,4 +1,6 @@
-==========================================================================
+[
+{ type: install
+ message: <<EOM
To start DeeGree correctly, please set the variable JAVA_OPTS with:
setenv JAVA_OPTS "-server -Xms256m -Xmx512m"
@@ -7,4 +9,6 @@ Now you should start your Tomcat server and browse with:
http://your-server:%%TCPORT%%/deegree-wfs
Enjoy it !
-==========================================================================
+EOM
+}
+]
diff --git a/graphics/deegree-wms/files/pkg-message.in b/graphics/deegree-wms/files/pkg-message.in
index 767b60b31330..a8193aa6391a 100644
--- a/graphics/deegree-wms/files/pkg-message.in
+++ b/graphics/deegree-wms/files/pkg-message.in
@@ -1,4 +1,6 @@
-==========================================================================
+[
+{ type: install
+ message: <<EOM
To start DeeGree correctly, please set the variable JAVA_OPTS with:
setenv JAVA_OPTS "-server -Xms256m -Xmx512m"
@@ -7,4 +9,6 @@ Now you should start your Tomcat server and browse with:
http://your-server:%%TCPORT%%/deegree-wms
Enjoy it !
-==========================================================================
+EOM
+}
+]
diff --git a/graphics/deegree-wps/files/pkg-message.in b/graphics/deegree-wps/files/pkg-message.in
index 91b6e72ec672..ad83b7dd8425 100644
--- a/graphics/deegree-wps/files/pkg-message.in
+++ b/graphics/deegree-wps/files/pkg-message.in
@@ -1,4 +1,6 @@
-==========================================================================
+[
+{ type: install
+ message: <<EOM
To start DeeGree correctly, please set the variable JAVA_OPTS with:
setenv JAVA_OPTS "-server -Xms256m -Xmx512m"
@@ -7,4 +9,6 @@ Now you should start your Tomcat server and browse with:
http://your-server:%%TCPORT%%/deegree-wps
Enjoy it !
-==========================================================================
+EOM
+}
+]
diff --git a/graphics/deegree-wpvs/files/pkg-message.in b/graphics/deegree-wpvs/files/pkg-message.in
index 5416450f4fda..6983ab3f6052 100644
--- a/graphics/deegree-wpvs/files/pkg-message.in
+++ b/graphics/deegree-wpvs/files/pkg-message.in
@@ -1,4 +1,6 @@
-==========================================================================
+[
+{ type: install
+ message: <<EOM
To start DeeGree correctly, please set the variable JAVA_OPTS with:
setenv JAVA_OPTS "-server -Xms256m -Xmx512m"
@@ -7,4 +9,6 @@ Now you should start your Tomcat server and browse with:
http://your-server:%%TCPORT%%/deegree-wpvs
Enjoy it !
-==========================================================================
+EOM
+}
+]
diff --git a/graphics/drm-current-kmod/pkg-message b/graphics/drm-current-kmod/pkg-message
index 7e446f6b7abf..4a315dcf3fc0 100644
--- a/graphics/drm-current-kmod/pkg-message
+++ b/graphics/drm-current-kmod/pkg-message
@@ -1,3 +1,6 @@
+[
+{ type: install
+ message: <<EOM
The experimental drm-current-kmod port can be enabled for amdgpu (for AMD
GPUs starting with the HD7000 series / Tahiti) or i915kms (for Intel
APUs starting with HD3000 / Sandy Bridge) through kld_list in
@@ -13,3 +16,6 @@ Please ensure that all users requiring graphics are members of the
Older generations are supported by the legacy kms modules (radeonkms /
i915kms) in base or by installing graphics/drm-legacy-kmod.
+EOM
+}
+]
diff --git a/graphics/drm-devel-kmod/pkg-message b/graphics/drm-devel-kmod/pkg-message
index 509efb8b61d0..04e639ba68f5 100644
--- a/graphics/drm-devel-kmod/pkg-message
+++ b/graphics/drm-devel-kmod/pkg-message
@@ -1,3 +1,6 @@
+[
+{ type: install
+ message: <<EOM
The experimental drm-devel-kmod port can be enabled for amdgpu (for AMD
GPUs starting with the HD7000 series / Tahiti), radeonkms for older AMD GPUs
or i915kms (for Intel APUs starting with HD3000 / Sandy Bridge, possibly even
@@ -17,3 +20,6 @@ Please ensure that all users requiring graphics are members of the
Older generations are supported by the legacy kms modules by installing
graphics/drm-legacy-kmod.
+EOM
+}
+]
diff --git a/graphics/drm-fbsd11.2-kmod/pkg-message b/graphics/drm-fbsd11.2-kmod/pkg-message
index 8b20db234f08..9ffa33a92063 100644
--- a/graphics/drm-fbsd11.2-kmod/pkg-message
+++ b/graphics/drm-fbsd11.2-kmod/pkg-message
@@ -1,3 +1,6 @@
+[
+{ type: install
+ message: <<EOM
The drm-fbsd11.2-kmod port can be enabled for amdgpu (for AMD GPUs starting
with the HD7000 series / Tahiti) or i915kms (for Intel APUs starting with
HD3000 / Sandy Bridge) through kld_list in /etc/rc.conf. radeonkms for older
@@ -13,3 +16,6 @@ Please ensure that all users requiring graphics are members of the
Older generations are supported by the legacy kms modules (radeonkms /
i915kms) in base or by installing graphics/drm-legacy-kmod.
+EOM
+}
+]
diff --git a/graphics/drm-fbsd12.0-kmod/pkg-message b/graphics/drm-fbsd12.0-kmod/pkg-message
index 589d0fadb211..78212176161b 100644
--- a/graphics/drm-fbsd12.0-kmod/pkg-message
+++ b/graphics/drm-fbsd12.0-kmod/pkg-message
@@ -1,3 +1,6 @@
+[
+{ type: install
+ message: <<EOM
The drm-fbsd12.0-kmod port can be enabled for amdgpu (for AMD GPUs starting
with the HD7000 series / Tahiti) or i915kms (for Intel APUs starting with
HD3000 / Sandy Bridge) through kld_list in /etc/rc.conf. radeonkms for older
@@ -13,3 +16,6 @@ Please ensure that all users requiring graphics are members of the
Older generations are supported by the legacy kms modules (radeonkms /
i915kms) in base or by installing graphics/drm-legacy-kmod.
+EOM
+}
+]
diff --git a/graphics/drm-legacy-kmod/pkg-message b/graphics/drm-legacy-kmod/pkg-message
index 52d647bafa16..f737e5c61c16 100644
--- a/graphics/drm-legacy-kmod/pkg-message
+++ b/graphics/drm-legacy-kmod/pkg-message
@@ -1,3 +1,6 @@
+[
+{ type: install
+ message: <<EOM
The drm-legacy-kmod port can be enabled for older Intel and ATI/AMD graphics
adapters as well as legacy graphics adapters through kld_list in /etc/rc.conf.
@@ -10,3 +13,6 @@ Please ensure that all users requiring graphics are members of the
If you are having trouble with ATI/AMD graphics cards and X, try installing
xf86-video-ati-legacy instead of xf86-video-ati.
+EOM
+}
+]
diff --git a/graphics/entangle/pkg-message b/graphics/entangle/pkg-message
index c71dacc7ee04..27c714f6e7a4 100644
--- a/graphics/entangle/pkg-message
+++ b/graphics/entangle/pkg-message
@@ -1,6 +1,12 @@
+[
+{ type: install
+ message: <<EOM
To be able to access camera under normal user, you might want to add the
following line:
add path 'usb/*' mode 0660
to your local devfs.rules(5) configuration.
+EOM
+}
+]
diff --git a/graphics/freeglut/pkg-message b/graphics/freeglut/pkg-message
index 1e73804f97b9..9d5597e10241 100644
--- a/graphics/freeglut/pkg-message
+++ b/graphics/freeglut/pkg-message
@@ -1,3 +1,9 @@
+[
+{ type: install
+ message: <<EOM
Joystick support is untested and it is unknown if it works.
Do not hesitate to contact x11@FreeBSD.org if this causes issues.
+EOM
+}
+]
diff --git a/graphics/geoserver/files/pkg-message.in b/graphics/geoserver/files/pkg-message.in
index 185191208c94..a749e0c6d614 100644
--- a/graphics/geoserver/files/pkg-message.in
+++ b/graphics/geoserver/files/pkg-message.in
@@ -1,6 +1,6 @@
-Post-install of GeoServer
-=========================
-
+[
+{ type: install
+ message: <<EOM
To run geoserver at startup, add
geoserver_enable="YES"
in you /etc/rc.conf .
@@ -15,3 +15,6 @@ On your client machine, open the browser with:
to configure the GIS server.
Enjoy it!
+EOM
+}
+]
diff --git a/graphics/giftool/pkg-message b/graphics/giftool/pkg-message
index b87eb7c7d2dc..392b7ee94cf1 100644
--- a/graphics/giftool/pkg-message
+++ b/graphics/giftool/pkg-message
@@ -1,9 +1,13 @@
-
-** GIFTOOL is shareware for PERSONAL USE only. You may use GIFTOOL for
-** your own amusement, and if you find it nifty, useful, generally cool,
-** or of some value to you, your non-deductable donation would be greatly
-** appreciated. $10 is the suggested donation, though, of course,
-** larger donations are quite welcome.
+[
+{ type: install
+ message: <<EOM
+ GIFTOOL is shareware for PERSONAL USE only. You may use GIFTOOL for
+ your own amusement, and if you find it nifty, useful, generally cool,
+ or of some value to you, your non-deductable donation would be greatly
+ appreciated. $10 is the suggested donation, though, of course,
+ larger donations are quite welcome.
Type 'giftool -help' for usage information.
-
+EOM
+}
+]
diff --git a/graphics/gimp-lqr-plugin/pkg-message b/graphics/gimp-lqr-plugin/pkg-message
index 0183c1417b71..1a38d636a294 100644
--- a/graphics/gimp-lqr-plugin/pkg-message
+++ b/graphics/gimp-lqr-plugin/pkg-message
@@ -1,4 +1,10 @@
+[
+{ type: install
+ message: <<EOM
After restarting the Gimp you should find the following new item
in the menu:
* Layer/Liquid rescale
+EOM
+}
+]
diff --git a/graphics/gimp-resynthesizer/pkg-message b/graphics/gimp-resynthesizer/pkg-message
index 38fd204493a3..b969857ba607 100644
--- a/graphics/gimp-resynthesizer/pkg-message
+++ b/graphics/gimp-resynthesizer/pkg-message
@@ -1,3 +1,6 @@
+[
+{ type: install
+ message: <<EOM
After restarting the Gimp you should find the following new items
in the menu:
@@ -10,3 +13,6 @@ in the menu:
* Filters/Map/Resynthesize
* Filters/Map/Style
* Filters/Render/Texture
+EOM
+}
+]
diff --git a/graphics/gimp/pkg-message b/graphics/gimp/pkg-message
index 7ff99254350f..e0124d72fb92 100644
--- a/graphics/gimp/pkg-message
+++ b/graphics/gimp/pkg-message
@@ -1,3 +1,9 @@
+[
+{ type: install
+ message: <<EOM
Only the english gimp manual is supplied with this port. But other
translations are available. Please use "pkg search gimp-help" or check
the graphics/gimp-help meta port.
+EOM
+}
+]
diff --git a/graphics/gracula/files/pkg-message.in b/graphics/gracula/files/pkg-message.in
index 27a8a4f6a3a6..2a5ff1bec9c2 100644
--- a/graphics/gracula/files/pkg-message.in
+++ b/graphics/gracula/files/pkg-message.in
@@ -1,4 +1,6 @@
-
+[
+{ type: install
+ message: <<EOM
Please read the file %%DOCSDIR%%/README
to learn how to use Graphic Counter Language (if you haven't
installed WITHOUT=DOCS).
@@ -11,4 +13,6 @@
Also, sample scripts and graphics are available from
Count Gracula's Gallery,
http://www.whizkidtech.redprince.net/gcl/gallery/
-
+EOM
+}
+]
diff --git a/graphics/instant-meshes/pkg-message b/graphics/instant-meshes/pkg-message
index 02eb83de8c76..2d7217c09c50 100644
--- a/graphics/instant-meshes/pkg-message
+++ b/graphics/instant-meshes/pkg-message
@@ -1,8 +1,12 @@
-======================================================================
+[
+{ type: install
+ message: <<EOM
You installed instant-meshes: interactive field-aligned mesh generator
You can also download and unzip 'Datasets' using the link on this site:
https://github.com/wjakob/instant-meshes
You can open these datasets (*.ply files) in the application.
-======================================================================
+EOM
+}
+]
diff --git a/graphics/inventor/files/pkg-message.in b/graphics/inventor/files/pkg-message.in
index 0eb31adfcaf2..18eeff6fcb89 100644
--- a/graphics/inventor/files/pkg-message.in
+++ b/graphics/inventor/files/pkg-message.in
@@ -1,6 +1,6 @@
-
-*******************************************************************************
-
+[
+{ type: install
+ message: <<EOM
Please set the environment variable FL_FONT_PATH to the directory where your
TrueType fonts are installed. If you do not set this variable, Open Inventor(TM)
will use %%PREFIX%%/share/fonts/TTF as default.
@@ -18,6 +18,6 @@ font names if they are not available:
# ln -s times.ttf Times-Roman
# ln -s arial.ttf Helvetica
# ln -s cour.ttf Utopia-Regular
-
-*******************************************************************************
-
+EOM
+}
+]
diff --git a/graphics/jave6/files/pkg-message.in b/graphics/jave6/files/pkg-message.in
index f41e50d88d50..cf3bd2765178 100644
--- a/graphics/jave6/files/pkg-message.in
+++ b/graphics/jave6/files/pkg-message.in
@@ -1,6 +1,8 @@
-=============================================================
-
+[
+{ type: install
+ message: <<EOM
Errors may occur while running the program, as it will try to
access %%DATADIR%%/tmp/ for output.
-
-=============================================================
+EOM
+}
+]
diff --git a/graphics/kix-kmod/files/pkg-message.in b/graphics/kix-kmod/files/pkg-message.in
index 66a8007a9b8f..d51f71dd4bc4 100644
--- a/graphics/kix-kmod/files/pkg-message.in
+++ b/graphics/kix-kmod/files/pkg-message.in
@@ -1,7 +1,11 @@
-
+[
+{ type: install
+ message: <<EOM
The qix_saver.ko module has been installed to %%PREFIX%%/lib. You
may wish to add this to your kern.module_path sysctl string or copy it
to another location.
For best results, recompile your kernel with the VESA option.
-
+EOM
+}
+]
diff --git a/graphics/leptonica/pkg-message b/graphics/leptonica/pkg-message
index 6fbb780c16ff..1d25e7bcc534 100644
--- a/graphics/leptonica/pkg-message
+++ b/graphics/leptonica/pkg-message
@@ -1,2 +1,8 @@
+[
+{ type: install
+ message: <<EOM
To use gplot (the optional programmatic interface to gnuplot),
the math/gnuplot port must be installed.
+EOM
+}
+]
diff --git a/graphics/liblqr-1/files/pkg-message.in b/graphics/liblqr-1/files/pkg-message.in
index fbd3be954cad..7a0e243fa21c 100644
--- a/graphics/liblqr-1/files/pkg-message.in
+++ b/graphics/liblqr-1/files/pkg-message.in
@@ -1,5 +1,9 @@
-==========================================================================
+[
+{ type: install
+ message: <<EOM
NOTE: In order to compile examples for liblqr, you will
also need pngwriter port (%%PORTSDIR%%/graphics/pngwriter).
Examples are located in %%EXAMPLESDIR%%
-==========================================================================
+EOM
+}
+]
diff --git a/graphics/linux-c7-dri/pkg-message b/graphics/linux-c7-dri/pkg-message
index 4950cd833796..254b4f3f8f29 100644
--- a/graphics/linux-c7-dri/pkg-message
+++ b/graphics/linux-c7-dri/pkg-message
@@ -1,6 +1,12 @@
+[
+{ type: install
+ message: <<EOM
This package needs linsysfs mounted on /compat/linux/sys. Add the
following line to /etc/fstab:
linsysfs /compat/linux/sys linsysfs rw 0 0
Then run "mount /compat/linux/sys".
+EOM
+}
+]
diff --git a/graphics/mapyrus/files/pkg-message.in b/graphics/mapyrus/files/pkg-message.in
index 4d41d677f4d3..167e355ed7e4 100644
--- a/graphics/mapyrus/files/pkg-message.in
+++ b/graphics/mapyrus/files/pkg-message.in
@@ -1,5 +1,6 @@
-****************************************************************
-
+[
+{ type: install
+ message: <<EOM
Start Mapyrus from a terminal window with a command like:
java -classpath %%DATADIR%%/%%MAPYRUSJAR%% org.mapyrus.Mapyrus myfile.mapyrus
@@ -10,5 +11,6 @@ java -classpath %%DATADIR%%/%%MAPYRUSJAR%% org.mapyrus.Mapyrus myfile.mapyrus
or simply:
mapyrus myfile.mapyrus
-
-****************************************************************
+EOM
+}
+]
diff --git a/graphics/opendx/files/pkg-message.in b/graphics/opendx/files/pkg-message.in
index a60be631967e..6c849c38855f 100644
--- a/graphics/opendx/files/pkg-message.in
+++ b/graphics/opendx/files/pkg-message.in
@@ -1,5 +1,6 @@
----------------------------------------------------------
-
+[
+{ type: install
+ message: <<EOM
If you cannot connect to dxexec, try this:
# Start the user interface by typing "dx -uionly &"
@@ -7,4 +8,6 @@ If you cannot connect to dxexec, try this:
# Use the connect menu in the user interface to "Connect
to server", click the Options button, and select connect
to already running server.
-
+EOM
+}
+]
diff --git a/graphics/piglit/files/pkg-message.in b/graphics/piglit/files/pkg-message.in
index adddf3931bb3..ef2bc27a0824 100644
--- a/graphics/piglit/files/pkg-message.in
+++ b/graphics/piglit/files/pkg-message.in
@@ -1,3 +1,6 @@
+[
+{ type: install
+ message: <<EOM
Piglit opens and closes a lot of files during a run, putting pressure
on FreeBSD's VFS. To keep Piglit smooth, you will have to increase the
default maxvnodes:
@@ -8,3 +11,6 @@ Instructions to use Piglit are available in:
The same documentation is also available online:
http://cgit.freedesktop.org/piglit/tree/README
+EOM
+}
+]
diff --git a/graphics/py-gvgen/pkg-message b/graphics/py-gvgen/pkg-message
index bb11785f4bb0..fdbe7e47404f 100644
--- a/graphics/py-gvgen/pkg-message
+++ b/graphics/py-gvgen/pkg-message
@@ -1,4 +1,6 @@
--------------------------------------------------------------
+[
+{ type: install
+ message: <<EOM
GvGen is installed.
For a quick start:
@@ -9,4 +11,6 @@ Generate your graph require the graphics/graphviz port to be
installed.
Review the ChangeLog document in the documentation directory.
--------------------------------------------------------------
+EOM
+}
+]
diff --git a/graphics/qtawesome/pkg-message b/graphics/qtawesome/pkg-message
index 72e3797f1bb1..e82a683b1963 100644
--- a/graphics/qtawesome/pkg-message
+++ b/graphics/qtawesome/pkg-message
@@ -1,2 +1,8 @@
+[
+{ type: install
+ message: <<EOM
For the library to be useful, fontawesome-*.ttf must be known to
fontconfig.
+EOM
+}
+]
diff --git a/graphics/rawtherapee/pkg-message b/graphics/rawtherapee/pkg-message
index 13771e9481b2..7f94bb1375b9 100644
--- a/graphics/rawtherapee/pkg-message
+++ b/graphics/rawtherapee/pkg-message
@@ -1,4 +1,6 @@
-=======================================================================
+[
+{ type: install
+ message: <<EOM
DISK SPACE WARNING:
Note that RawTherapee uses version-dependent cache and configuration
@@ -8,4 +10,6 @@ remove older cache directories.
Also, after configurations have been moved to the new version's
directory, older $HOME/.config/RawTherapee* directories may be removed.
-=======================================================================
+EOM
+}
+]
diff --git a/graphics/sane-backends/files/pkg-message.in b/graphics/sane-backends/files/pkg-message.in
index 29545707ed2a..077943c64a5c 100644
--- a/graphics/sane-backends/files/pkg-message.in
+++ b/graphics/sane-backends/files/pkg-message.in
@@ -1,5 +1,6 @@
-==================================================================
-
+[
+{ type: install
+ message: <<EOM
saned will log to the 'daemon' facility; this is a hard-coded
default. Also, saned has no support for SSL/TLS or cryptographic
authentication; you may wish to deploy security/stunnel to wrap
@@ -40,5 +41,6 @@ on client machines; be sure to point it at your scan server.
If you are setting up a scan server, you may also wish to edit
%%PREFIX%%/etc/sane.d/saned.conf
to only permit specific machines.
-
-==================================================================
+EOM
+}
+]
diff --git a/graphics/sane-frontends/files/pkg-message.in b/graphics/sane-frontends/files/pkg-message.in
index 82c6b1796900..d8ffba76acb2 100644
--- a/graphics/sane-frontends/files/pkg-message.in
+++ b/graphics/sane-frontends/files/pkg-message.in
@@ -1,3 +1,6 @@
+[
+{ type: install
+ message: <<EOM
Congratulations, SANE-FRONTENDS is now installed.
If you built it with WITH_GIMP set to yes, you can use
@@ -9,3 +12,6 @@ Then run the GIMP, and a new "xscanimage" menu item should appear in the
"File->Acquire" menu. Use this to access your scanner.
Have fun!
+EOM
+}
+]
diff --git a/graphics/separate/pkg-message b/graphics/separate/pkg-message
index f2705ca6082a..5f2cd073209d 100644
--- a/graphics/separate/pkg-message
+++ b/graphics/separate/pkg-message
@@ -1,2 +1,8 @@
+[
+{ type: install
+ message: <<EOM
You can download and install Adobe's ICC profiles from:
http://download.adobe.com/pub/adobe/iccprofiles/win/AdobeICCProfilesWin_bundler.zip
+EOM
+}
+]
diff --git a/graphics/simpleviewer/files/pkg-message.in b/graphics/simpleviewer/files/pkg-message.in
index 7395cf13ea80..963509594fb9 100644
--- a/graphics/simpleviewer/files/pkg-message.in
+++ b/graphics/simpleviewer/files/pkg-message.in
@@ -1,3 +1,9 @@
+[
+{ type: install
+ message: <<EOM
You can put default command line switches into a configuration file,
please see %%EXAMPLESDIR%%/config.example
for how to do it.
+EOM
+}
+]
diff --git a/graphics/telak/pkg-message b/graphics/telak/pkg-message
index b6cc8d93995c..29d5627bafd8 100644
--- a/graphics/telak/pkg-message
+++ b/graphics/telak/pkg-message
@@ -1,4 +1,8 @@
-===============================================================================
+[
+{ type: install
+ message: <<EOM
To install an example config file, log into your user account and type
'make install-user'.
-===============================================================================
+EOM
+}
+]
diff --git a/graphics/xoris/files/pkg-message.in b/graphics/xoris/files/pkg-message.in
index 9f033f662b68..e23233823213 100644
--- a/graphics/xoris/files/pkg-message.in
+++ b/graphics/xoris/files/pkg-message.in
@@ -1,3 +1,7 @@
-*******************************************************************************
+[
+{ type: install
+ message: <<EOM
* See %%DOCSDIR%%/README before using xoris!
-*******************************************************************************
+EOM
+}
+]
diff --git a/graphics/xpdf3/pkg-message b/graphics/xpdf3/pkg-message
index e8baf67674ee..a74ae38f79bd 100644
--- a/graphics/xpdf3/pkg-message
+++ b/graphics/xpdf3/pkg-message
@@ -1,3 +1,6 @@
+[
+{ type: install
+ message: <<EOM
Please note: The binaries in this package -- pdffonts, pdfimages, pdfinfo,
pdfdetach, pdftohtml, pdftopng, pdftoppm, pdftops, pdftotext -- are
installed in ${LOCALBASE}/libexec/xpdf. The reason for this is to not
@@ -6,3 +9,6 @@ other packages. If you need to use any of these utilites,
a) create symlinks in ${LOCALBASE}/bin or some other directory in $PATH, or
b) install graphics/poppler-utils.
+EOM
+}
+]
diff --git a/graphics/xpdf4/pkg-message b/graphics/xpdf4/pkg-message
index e8baf67674ee..a74ae38f79bd 100644
--- a/graphics/xpdf4/pkg-message
+++ b/graphics/xpdf4/pkg-message
@@ -1,3 +1,6 @@
+[
+{ type: install
+ message: <<EOM
Please note: The binaries in this package -- pdffonts, pdfimages, pdfinfo,
pdfdetach, pdftohtml, pdftopng, pdftoppm, pdftops, pdftotext -- are
installed in ${LOCALBASE}/libexec/xpdf. The reason for this is to not
@@ -6,3 +9,6 @@ other packages. If you need to use any of these utilites,
a) create symlinks in ${LOCALBASE}/bin or some other directory in $PATH, or
b) install graphics/poppler-utils.
+EOM
+}
+]
diff --git a/graphics/xsane/files/pkg-message.in b/graphics/xsane/files/pkg-message.in
index a2be7039f83e..d1c2d7817cfd 100644
--- a/graphics/xsane/files/pkg-message.in
+++ b/graphics/xsane/files/pkg-message.in
@@ -1,6 +1,12 @@
+[
+{ type: install
+ message: <<EOM
To install XSane as a GIMP plug-in, please type:
ln -sf %%LOCALBASE%%/bin/xsane ~/.gimp-*/plug-ins/xsane
Then run the GIMP, and a new "XSane" menu item should appear in the
"File -> Create" menu.
+EOM
+}
+]
diff --git a/graphics/zathura/pkg-message b/graphics/zathura/pkg-message
index baa39f5e6958..0060b13c3208 100644
--- a/graphics/zathura/pkg-message
+++ b/graphics/zathura/pkg-message
@@ -1,7 +1,9 @@
-===============================================================================
-
+[
+{ type: install
+ message: <<EOM
In order to read documents, zathura need at least one plugin. Such
plugins are in graphics/zathura-* ports. If you want to read pdf files,
install the graphics/zathura-pdf-poppler port.
-
-===============================================================================
+EOM
+}
+]
diff --git a/graphics/zphoto/pkg-message b/graphics/zphoto/pkg-message
index d46ced720913..2b83a3e52252 100644
--- a/graphics/zphoto/pkg-message
+++ b/graphics/zphoto/pkg-message
@@ -1,4 +1,6 @@
-******************************************************************************
+[
+{ type: install
+ message: <<EOM
This port requires a kernel built with
the directive:
@@ -24,4 +26,6 @@
% setenv ZPHOTO_TEMPLATE_DIR %%PREFIX%%/share/zphoto/templates/all (both)
% setenv ZPHOTO_FONT %%PREFIX%%/share/zphoto/fonts/EfontSerifB.fdb
-******************************************************************************
+EOM
+}
+]